
local player = {}

function player:init(name)
  self.name = name or "Player"
  self.x = 300
  self.y = 400
  self.w = 64
  self.h = 64
  self.color = {255, 0, 0}
  self.timer = 0
end


function player:update(dt)
  self.timer = self.timer + dt
  self.x = self.x + math.sin(self.timer*5)*200* dt
end


function player:draw()
  love.graphics.print(self.name, self.x, self.y-15)
  love.graphics.rectangle("fill", self.x, self.y, self.w, self.h)
end

return player