
local player = require("player") -- returns a table which represents the player
local fancyFunction = require("fancyFunction") -- returns a function
local whichNumberIsBigger = fancyFunction(23, 1023) -- the function itself returns a string

function love.load()
  player:init("Rishavs")
end


function love.update(dt)
  player:update(dt)
end


function love.draw()
  player:draw()
  love.graphics.print("ESC to Quit", 10, 10)
  love.graphics.print(whichNumberIsBigger, 10, 30)
end


function love.keypressed(key)
  if key == "escape" then love.event.quit() end
end
